=== modified file 'launcher/Launcher.cpp'
--- launcher/Launcher.cpp	2012-08-10 09:58:49 +0000
+++ launcher/Launcher.cpp	2012-08-10 14:43:37 +0000
@@ -1473,11 +1473,14 @@
   }
   else
   {
+    static bool first_time = true;
+
     _parent->EnableInputWindow(true, launcher::window_title, false, false);
 
-    if (!sources_.GetSource(STRUT_HACK_TIMEOUT))
+    if (first_time && !sources_.GetSource(STRUT_HACK_TIMEOUT))
     {
       sources_.AddTimeout(1000, sigc::mem_fun(this, &Launcher::StrutHack), STRUT_HACK_TIMEOUT);
+      first_time = false;
     }
 
     _parent->InputWindowEnableStruts(true);

=== modified file 'manual-tests/Launcher.txt'
--- manual-tests/Launcher.txt	2012-08-03 13:43:50 +0000
+++ manual-tests/Launcher.txt	2012-08-06 08:08:44 +0000
@@ -679,3 +679,14 @@
  * No icon flickers near the top panel.
  * See https://bugs.launchpad.net/unity/+bug/980942/+attachment/3059914/+files/launcher-accordion-effect-tooltip-bug.ogv.
 
+
+No flickering when resizing the launcher
+-----------------------------------------
+Actions:
+* Open gedit.
+* Maximize it. Make sure it remains maximized during the test.
+* Open Appearance panel in System Settings.
+* Change Launcher Icon Size.
+
+Expected Results:
+* The gedit window must not flicker behind the launcher.

